[type="checkbox"] + label {
	display: flex; 
    align-items: center; 
	color: rgba(50, 47, 47, 1);
	position: relative;
}

[type="checkbox"] {
	width: 0;
	height: 0;
	opacity: 0;
    display: none !important;
}

[type="checkbox"] + label > span {
	width: 20px;
	height: 20px;
	display: flex;
	justify-content: center;
	border: 2px solid #9e9e9e;
	margin-right: 10px;
	border-radius: 50%;
	transition: all .3s;
}

[type="checkbox"]:checked + label > span {
	border: 10px solid rgba(44, 174, 137, 1);
	animation: bounce 250ms;
}

[type="checkbox"]:checked + label > span::before {
	content: '';
	position: absolute;
	top: 13px;
	left: 6px;
	border-right: 2px solid transparent;
	border-bottom: 2px solid transparent;
	transform: rotate(45deg);
	transform-origin: 0% 100%;
	animation: checked-box 125ms 250ms forwards;
}

@keyframes checked-box {
	0% {
		width: 0;
		height: 0;
		border-color: white;
		transform: translate(0,0) rotate(45deg);
	}
	33% {
		width: 4px;
		height: 0;
		border-color: white;
		transform: translate(0,0) rotate(45deg);
	}
	100% {
		width: 4px;
		height: 8px;
		border-color: white;
		transform: translate(0,-8px) rotate(45deg);
	}
}

@keyframes bounce {
	0% {
		transform: scale(1);
	}
	33% {
		transform: scale(.7);
	}
	100% {
		transform: scale(1);
	}
}